<?php

/**
 * Free Showcase Integration Class
 */

if( ! defined( 'ABSPATH' ) ) {
	return;
}

if( ! class_exists( 'GA_MailPoet_Dummy' ) ) {
	class GA_MailPoet_Dummy extends GA_Integration {

		/**
		 * Active Indicator
		 * @var boolean
		 */
		public $active = false;

		/**
		 * Integration Image
		 * @var string
		 */
		public $image = '';

		/**
		 * Integration Title
		 * @var string
		 */
		public $title = '';

		/**
		 * Integration Description
		 * @var string
		 */
		public $desc = '';

		/**
		 * API URL
		 * @var string
		 */
		private $api_url = '';

		/**
		 * API Key
		 * @var string
		 */
		private $api_key = '';

		/**
		 * Request URL
		 * @var string
		 */
		private $request_url = '';

		/**
		 * Request Arguments
		 * @var array
		 */
		private $request_args = array();

		/**
		 * Metabox
		 * @var boolean
		 */
		private $metabox = false;

		/**
		 * Setting initial params
		 */
		public function __construct() {

			$this->title = __( 'MailPoet', 'giveasap' );
			$this->settings_id = 'ga_mailpoet';
			$this->image = untrailingslashit( GASAP_URI ) . '/includes/integrations/assets/mailpoet-logo.jpg';
			$this->desc = __( 'Sends users to your list and grow your email list using MailPoet. Works for MailPoet 3 (New).', 'giveasap' );
		}

		public function buttons( $integrations ) {
			echo '<a href="' . giv_fs()->get_upgrade_url() . '" class="button button-primary">' . __( 'Upgrade to PRO', 'giveasap' ) . '</a>';
		}

	}
}

add_filter( 'giveasap_integrations', 'giveasap_mailpoet' );

/**
 * Registering MailPoet
 * @return array
 */
function giveasap_mailpoet( $integrations ) {

	$integrations['ga_mailpoet'] = 'GA_MailPoet_Dummy';

	return $integrations;
}