<?php

/**
 * Free Showcase MailChimp Integration Class
 */

if( ! defined( 'ABSPATH' ) ) {
	return;
}

if( ! class_exists( 'SG_Notifications_Dummy' ) ) {
	class SG_Notifications_Dummy extends GA_Integration {

		/**
		 * Active Indicator
		 * @var boolean
		 */
		public $active = false;

		/**
		 * Integration Image
		 * @var string
		 */
		public $image = '';

		/**
		 * Integration Title
		 * @var string
		 */
		public $title = '';

		/**
		 * Integration Description
		 * @var string
		 */
		public $desc = '';

		/**
		 * Setting initial params
		 */
		public function __construct() {

			$this->title = __( 'Notifications', 'giveasap' );
			$this->settings_id = 'sg_notifications';
			$this->image = untrailingslashit( GASAP_URI ) . '/includes/integrations/assets/bell.svg';
			$this->desc = __( 'Let people know how many subscribed through live notifications.', 'giveasap' );
		}

		public function buttons( $integrations ) {
			echo '<a href="' . giv_fs()->get_upgrade_url() . '" class="button button-primary">' . __( 'Upgrade to PRO', 'giveasap' ) . '</a>';
		}

	}
}

add_filter( 'giveasap_integrations', 'sg_register_notifications' );

/**
 * Registering mailchimp
 * @return array
 */
function sg_register_notifications( $integrations ) {

	$integrations['sg_notifications'] = 'SG_Notifications_Dummy';

	return $integrations;
}
